         # File lib/protocols/smtpclient.rb, line 153
    153:                 def invoke_error
    154:                         @return_values.elapsed_time = Time.now - @return_values.start_time
    155:                         @return_values.responder = @responder
    156:                         @return_values.code = @code
    157:                         @return_values.message = @msg
    158:                         set_deferred_status :failed, @return_values
    159:                         send_data "QUIT\r\n"
    160:                         close_connection_after_writing
    161:                 end